Ubuntu – How to install Qt5, which comes as a .run file?

installationinstalled-programsqt

I downloaded http://qt-project.org/downloads

Qt5 Libary for Linux 64bit

The library format is .run

But if I try to open it, I'll get the following error

sh ./qt.run
./qt.run: 1: ./qt.run: cannot open @8: No such file
./qt.run: 1: ./qt.run: ELF: not found
./qt.run: 1: ./qt.run: Syntax error: word unexpected (expecting ")")

and then it produces a garbage file.

Best Answer

You have to make the file executable and then simply execute it.

Type the following commands in the terminal:

chmod u+x qt.run
./qt.run